From 533998a31ce2ea95b875a22868ad8eae20e2c2e3 Mon Sep 17 00:00:00 2001
From: "John K. Harvey" <john.harvey@crunchydata.com>
Date: Mon, 1 Feb 2016 10:21:09 -0500
Subject: [PATCH] fix redundant postgis dependency

---
 rpm/redhat/9.5/postgis21/EL-5/postgis21.spec | 2 +-
 rpm/redhat/9.5/postgis21/EL-6/postgis21.spec | 2 +-
 rpm/redhat/9.5/postgis21/EL-7/postgis21.spec | 2 +-
 rpm/redhat/9.5/postgis21/F-22/postgis21.spec | 2 +-
 rpm/redhat/9.5/postgis21/F-23/postgis21.spec | 2 +-
 rpm/redhat/9.5/postgis22/EL-6/postgis22.spec | 2 +-
 rpm/redhat/9.5/postgis22/EL-7/postgis22.spec | 2 +-
 rpm/redhat/9.5/postgis22/F-22/postgis22.spec | 2 +-
 rpm/redhat/9.5/postgis22/F-23/postgis22.spec | 2 +-
 9 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/rpm/redhat/9.5/postgis21/EL-5/postgis21.spec b/rpm/redhat/9.5/postgis21/EL-5/postgis21.spec
index ad0ec56..69fdd45 100644
--- a/rpm/redhat/9.5/postgis21/EL-5/postgis21.spec
+++ b/rpm/redhat/9.5/postgis21/EL-5/postgis21.spec
@@ -24,7 +24,7 @@ URL:		http://www.postgis.net/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	postgresql%{pgmajorversion}-devel, proj-devel, geos-devel >= 3.4.2
-BuildRequires:	proj-devel, flex, json-c-devel, libxml2-devel
+BuildRequires:	flex, json-c-devel, libxml2-devel
 %if %raster
 BuildRequires:	gdal-devel
 %endif
diff --git a/rpm/redhat/9.5/postgis21/EL-6/postgis21.spec b/rpm/redhat/9.5/postgis21/EL-6/postgis21.spec
index 5498e5e..14fb368 100644
--- a/rpm/redhat/9.5/postgis21/EL-6/postgis21.spec
+++ b/rpm/redhat/9.5/postgis21/EL-6/postgis21.spec
@@ -24,7 +24,7 @@ URL:		http://www.postgis.net/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	postgresql%{pgmajorversion}-devel, proj-devel, geos-devel >= 3.4.2
-BuildRequires:	proj-devel, flex, json-c-devel, libxml2-devel
+BuildRequires:	flex, json-c-devel, libxml2-devel
 %if %raster
 BuildRequires:	gdal-devel
 %endif
diff --git a/rpm/redhat/9.5/postgis21/EL-7/postgis21.spec b/rpm/redhat/9.5/postgis21/EL-7/postgis21.spec
index 29ea2af..5864d93 100644
--- a/rpm/redhat/9.5/postgis21/EL-7/postgis21.spec
+++ b/rpm/redhat/9.5/postgis21/EL-7/postgis21.spec
@@ -24,7 +24,7 @@ URL:		http://www.postgis.net/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	postgresql%{pgmajorversion}-devel, proj-devel, geos-devel >= 3.4.2
-BuildRequires:	proj-devel, flex, json-c-devel, libxml2-devel
+BuildRequires:	flex, json-c-devel, libxml2-devel
 %if %raster
 BuildRequires:	gdal-devel
 %endif
diff --git a/rpm/redhat/9.5/postgis21/F-22/postgis21.spec b/rpm/redhat/9.5/postgis21/F-22/postgis21.spec
index 29ea2af..5864d93 100644
--- a/rpm/redhat/9.5/postgis21/F-22/postgis21.spec
+++ b/rpm/redhat/9.5/postgis21/F-22/postgis21.spec
@@ -24,7 +24,7 @@ URL:		http://www.postgis.net/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	postgresql%{pgmajorversion}-devel, proj-devel, geos-devel >= 3.4.2
-BuildRequires:	proj-devel, flex, json-c-devel, libxml2-devel
+BuildRequires:	flex, json-c-devel, libxml2-devel
 %if %raster
 BuildRequires:	gdal-devel
 %endif
diff --git a/rpm/redhat/9.5/postgis21/F-23/postgis21.spec b/rpm/redhat/9.5/postgis21/F-23/postgis21.spec
index 29ea2af..5864d93 100644
--- a/rpm/redhat/9.5/postgis21/F-23/postgis21.spec
+++ b/rpm/redhat/9.5/postgis21/F-23/postgis21.spec
@@ -24,7 +24,7 @@ URL:		http://www.postgis.net/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	postgresql%{pgmajorversion}-devel, proj-devel, geos-devel >= 3.4.2
-BuildRequires:	proj-devel, flex, json-c-devel, libxml2-devel
+BuildRequires:	flex, json-c-devel, libxml2-devel
 %if %raster
 BuildRequires:	gdal-devel
 %endif
diff --git a/rpm/redhat/9.5/postgis22/EL-6/postgis22.spec b/rpm/redhat/9.5/postgis22/EL-6/postgis22.spec
index 065e7b5..372c4aa 100644
--- a/rpm/redhat/9.5/postgis22/EL-6/postgis22.spec
+++ b/rpm/redhat/9.5/postgis22/EL-6/postgis22.spec
@@ -32,7 +32,7 @@ URL:		http://www.postgis.net/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	postgresql%{pgmajorversion}-devel, proj-devel, geos-devel >= 3.5.0
-BuildRequires:	proj-devel, flex, json-c-devel, libxml2-devel
+BuildRequires:	flex, json-c-devel, libxml2-devel
 %if %{sfcgal}
 BuildRequires:	SFCGAL-devel
 Requires:	SFCGAL
diff --git a/rpm/redhat/9.5/postgis22/EL-7/postgis22.spec b/rpm/redhat/9.5/postgis22/EL-7/postgis22.spec
index 065e7b5..372c4aa 100644
--- a/rpm/redhat/9.5/postgis22/EL-7/postgis22.spec
+++ b/rpm/redhat/9.5/postgis22/EL-7/postgis22.spec
@@ -32,7 +32,7 @@ URL:		http://www.postgis.net/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	postgresql%{pgmajorversion}-devel, proj-devel, geos-devel >= 3.5.0
-BuildRequires:	proj-devel, flex, json-c-devel, libxml2-devel
+BuildRequires:	flex, json-c-devel, libxml2-devel
 %if %{sfcgal}
 BuildRequires:	SFCGAL-devel
 Requires:	SFCGAL
diff --git a/rpm/redhat/9.5/postgis22/F-22/postgis22.spec b/rpm/redhat/9.5/postgis22/F-22/postgis22.spec
index 065e7b5..372c4aa 100644
--- a/rpm/redhat/9.5/postgis22/F-22/postgis22.spec
+++ b/rpm/redhat/9.5/postgis22/F-22/postgis22.spec
@@ -32,7 +32,7 @@ URL:		http://www.postgis.net/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	postgresql%{pgmajorversion}-devel, proj-devel, geos-devel >= 3.5.0
-BuildRequires:	proj-devel, flex, json-c-devel, libxml2-devel
+BuildRequires:	flex, json-c-devel, libxml2-devel
 %if %{sfcgal}
 BuildRequires:	SFCGAL-devel
 Requires:	SFCGAL
diff --git a/rpm/redhat/9.5/postgis22/F-23/postgis22.spec b/rpm/redhat/9.5/postgis22/F-23/postgis22.spec
index 065e7b5..372c4aa 100644
--- a/rpm/redhat/9.5/postgis22/F-23/postgis22.spec
+++ b/rpm/redhat/9.5/postgis22/F-23/postgis22.spec
@@ -32,7 +32,7 @@ URL:		http://www.postgis.net/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	postgresql%{pgmajorversion}-devel, proj-devel, geos-devel >= 3.5.0
-BuildRequires:	proj-devel, flex, json-c-devel, libxml2-devel
+BuildRequires:	flex, json-c-devel, libxml2-devel
 %if %{sfcgal}
 BuildRequires:	SFCGAL-devel
 Requires:	SFCGAL
-- 
2.5.0

